com.independentsoft.exchange

## Class ResponseItem

- java.lang.Object
- - com.independentsoft.exchange.Item
  - - com.independentsoft.exchange.ResponseItem

- Direct Known Subclasses:
    MeetingRegistrationResponse, MessageResponse, PostReplyItem, RemoveItem, SuppressReadReceipt

      public abstract class ResponseItem
      extends Item

  Represents response item.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ResponseItem()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ItemId` | `getReferenceItemId()` Gets the item identifier that is related to a response object.
    `void` | `setReferenceItemId(ItemId referenceItemId)` Sets the item identifier that is related to a response object.

    - ### Methods inherited from class com.independentsoft.exchange.Item

      `getArchiveTag, getAttachments, getBody, getBodyHtmlText, getBodyPlainText, getBodyRtf, getCategories, getComment, getConversationId, getCreatedTime, getCulture, getDisplayName, getEffectiveRights, getEntityExtractionResult, getEntryId, getExtendedProperties, getExtendedProperty, getFlag, getGroupingAction, getIconIndex, getImportance, getInstanceKey, getItemClass, getItemId, getLastModifiedTime, getLastModifierName, getMimeContent, getNextPredictedAction, getParentId, getPreview, getReminderDueBy, getReminderIsSet, getReminderMinutesBeforeStart, getRetentionDate, getRetentionTag, getRtfCompressed, getSearchKey, getSensitivity, getSize, getStoreEntryId, getSubject, getTextBody, getUniqueBody, getWebClientEditFormQueryString, getWebClientReadFormQueryString, hasAttachments, hasBlockedImages, isAssociated, isBlockStatus, isHidden, setArchiveTag, setBody, setBodyRtf, setCategories, setComment, setDisplayName, setEffectiveRights, setFlag, setHidden, setImportance, setItemClass, setMimeContent, setReminderDueBy, setReminderIsSet, setReminderMinutesBeforeStart, setRetentionDate, setRetentionTag, setRtfCompressed, setSensitivity, setSubject, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ResponseItem

          public ResponseItem()

  - ### Method Detail

    - #### getReferenceItemId

          public ItemId getReferenceItemId()

      Gets the item identifier that is related to a response object.
      Returns:
        the reference item id

    - #### setReferenceItemId

          public void setReferenceItemId(ItemId referenceItemId)

      Sets the item identifier that is related to a response object.
      Parameters:
        `referenceItemId` - the new reference item id